#Old book hint in mage tower
from eventAPI import getTag, setTag, giveItems, optionInput
from APIUtils import isclearall, showMessage

bookFlag = 0
def fireEvent(e):
    book = getTag(e, "bookFlag")
    if (book != 1):
        showMessage(e,
            ["You trip over something at your feet, and pick it up to examine it.",
             "It appears to be the charred remains of an old book, probably the result of a magical experiment gone awry.",
             "While the book itself is too burnt to be readable, you can make out some fragments of words on the spine:",
             "Poet...My...of....emen",
             "Perhaps this was a treasured tome of some of the wizards who used to inhabit this place?",
             "Since the book is too burned to be of any use, you toss it to the side and continue on."],
            optionInput)
    setTag(e, "bookFlag", 1)
    return 1
